package org.wso2.carbon.device.mgt.ios.payload.beans;

public class IPSec {

    private String remoteAddress;
    private AuthenticationMethod authenticationMethod;
    private String XAuthName;
    private Boolean XAuthEnabled;
    private String localIdentifier;
    private String sharedSecret;
    private String payloadCertificateUUID;
    private Boolean promptForVPNPIN;

    public String getRemoteAddress() {
        return remoteAddress;
    }

    public void setRemoteAddress(String remoteAddress) {
        this.remoteAddress = remoteAddress;
    }

    public AuthenticationMethod getAuthenticationMethod() {
        return authenticationMethod;
    }

    public void setAuthenticationMethod(AuthenticationMethod authenticationMethod) {
        this.authenticationMethod = authenticationMethod;
    }

    public String getXAuthName() {
        return XAuthName;
    }

    public void setXAuthName(String XAuthName) {
        this.XAuthName = XAuthName;
    }

    public Boolean getXAuthEnabled() {
        return XAuthEnabled;
    }

    public void setXAuthEnabled(Boolean XAuthEnabled) {
        this.XAuthEnabled = XAuthEnabled;
    }

    public String getLocalIdentifier() {
        return localIdentifier;
    }

    public void setLocalIdentifier(String localIdentifier) {
        this.localIdentifier = localIdentifier;
    }

    public String getSharedSecret() {
        return sharedSecret;
    }

    public void setSharedSecret(String sharedSecret) {
        this.sharedSecret = sharedSecret;
    }

    public String getPayloadCertificateUUID() {
        return payloadCertificateUUID;
    }

    public void setPayloadCertificateUUID(String payloadCertificateUUID) {
        this.payloadCertificateUUID = payloadCertificateUUID;
    }

    public Boolean getPromptForVPNPIN() {
        return promptForVPNPIN;
    }

    public void setPromptForVPNPIN(Boolean promptForVPNPIN) {
        this.promptForVPNPIN = promptForVPNPIN;
    }
}
